%global npm_name mongodb

%{?nodejs_find_provides_and_requires}

Summary:       A node driver for MongoDB
Name:          nodejs-%{npm_name}
Version:       1.4.7
Release:       1%{?dist}
Group:         Development/Languages
License:       ASL 2.0
URL:           https://github.com/mongodb/node-mongodb-native
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-devel
BuildArch:     noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

%description
This is a node driver for MongoDB. It's a port (or close to a port) of
the library for ruby at http://github.com/mongodb/mongo-ruby-driver

%prep
%setup -q -n package
%nodejs_fixdep bson '>=0.2.2'

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js lib package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

#Cleanup permissions
chmod 644 %{buildroot}%{nodejs_sitelib}/%{npm_name}/*.js
chmod 644 %{buildroot}%{nodejs_sitelib}/%{npm_name}/*.json

%files
%doc CONTRIBUTING.md LICENSE Readme.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Jul 03 2014 Troy Dawson <tdawson@redhat.com> - 1.4.7-1
- Update to version 1.4.7

* Fri Jun 13 2014 Troy Dawson <tdawson@redhat.com> - 1.4.6-1
- Update to version 1.4.6

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Troy Dawson <tdawson@redhat.com> - 1.4.5-1
- Update to version 1.4.5

* Mon Apr 21 2014 Troy Dawson <tdawson@redhat.com> - 1.4.2-1
- Update to version 1.4.2

* Thu Feb 06 2014 Troy Dawson <tdawson@redhat.com> - 1.3.23-1
- Update to version 1.3.23
- add nodejs exclusive arch

* Wed Jan 08 2014 Troy Dawson <tdawson@redhat.com> - 1.3.19-3
- Fix bson dependancy

* Fri Jan 03 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.3.19-2
- add macro to invoke dependency generator on EL6

* Thu Oct 03 2013 Troy Dawson <tdawson@redhat.com> - 1.3.19-1
- Updated to version 1.3.19

* Fri Aug 09 2013 Troy Dawson <tdawson@redhat.com> - 1.3.17-1
- Updated to version 1.3.17
- Package using the new Fedora guidelines

* Wed Jul 24 2013 Troy Dawson <tdawson@redhat.com> - 1.3.12-1
- Updated to version 1.3.12

* Wed Apr 17 2013 Haibo Lin <hlin@redhat.com> - 1.2.14-1
- Build under eng-rhel-6 and update to upstream version 1.2.14

* Thu Feb 16 2012 Troy Dawson <tdawson@redhat.com> - 0.9.9.1-1
- Initial build

